Package org.apache.sling.distribution.journal.bookkeeper

## Class BookKeeper.PackageStatus

- java.lang.Object
- - org.apache.sling.distribution.journal.bookkeeper.BookKeeper.PackageStatus

Enclosing class:
  BookKeeper

    public static class BookKeeper.PackageStatus
    extends Object

### Field Summary

Fields
`org.apache.sling.distribution.journal.messages.PackageStatusMessage.Status` `status`

### Constructor Summary

Constructors
`PackageStatus​(org.apache.sling.api.resource.ValueMap statusMap)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### status

    public final org.apache.sling.distribution.journal.messages.PackageStatusMessage.Status status

### Constructor Detail

#### PackageStatus

    public PackageStatus​(org.apache.sling.api.resource.ValueMap statusMap)